import { AsyncSubject } from 'rxjs';
import { Result, ScannerFaceConfig, ScannerFaceResult } from './ngx-scanner-face.options';
import * as i0 from "@angular/core";
export declare class NgxScannerFaceService {
    /**
     * Files to base64: ScannerFaceResult[]
     * @param files
     * @param ScannerFaceResult
     * @returns ScannerFaceResult
     */
    toBase64(files: File[]): AsyncSubject<ScannerFaceResult[]>;
    /**
     * loadFiles
     * @param files
     * @param baseConfig
     * @param quality
     * @param type
     * @returns
     */
    loadFiles(files: File[] | undefined, baseConfig: ScannerFaceConfig, percentage?: number, quality?: number): AsyncSubject<ScannerFaceResult[]>;
    /**
     * readAsDataURL
     * @param file
     * @param baseConfig
     * @returns
     */
    private readAsDataURL;
    /**
     * Override Config
     */
    private overrideConfig;
    /**
     * StreamToBase64
     * @param result
     * @returns
     */
    streamToBase64(result: Result): AsyncSubject<Result>;
    /**
     * StreamToBlobURL
     * @param result
     * @returns
     */
    streamToBlobURL(result: Result): AsyncSubject<Result>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxScannerFaceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxScannerFaceService>;
}
